using Blueprinter.Presentation;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Blueprinter
{
    public partial class ViewBlueprintManager : Form, IViewBlueprintManager
    {
        private IViewBlueprintManagerPresenter _presenter;
        public ViewBlueprintManager()
        {
            InitializeComponent();
        }

        public IViewBlueprintManagerPresenter Presenter
        {
            get
            {
                return _presenter;
            }
            set
            {
                if (_presenter == null)
                {
                    _presenter = value;
                }
            }
        }
    }
}
